﻿.sticky-header{
    width: 100vw;
    height: 10rem;
    background-color: #978477aa;
    position: fixed;
    display: flex;
    white-space: nowrap;
    top: 0;
    z-index: 99999;
}
.sticky-header .inner{
    position: relative;
    background-color: transparent;
    height: auto;
}

/* Hide the desktop menu on small screens */
.desktop-menu {
    display: none;
}

.hamburger-menu {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 2.5rem;
    height: 2rem;
    cursor: pointer;
    position: relative;
    z-index: 999999;
}

.hamburger-menu span {
    display: block;
    height: 0.3rem;
    background-color: #fff;
    border-radius: 0.3rem;
    margin-bottom: 0.5rem;
}

/* Mobile Menu Styling */
.mobile-menu {
    position: fixed;
    top: 0;
    right: -100%;
    width: 25rem;
    height: 100%;
    background-color: #333;
    z-index: 999;
    transition: right 0.3s ease;
}

.mobile-menu ul {
    list-style: none;
    padding: 5rem 2rem;
    display: block;
    white-space: unset;
}

.mobile-menu ul li {
    margin-bottom: 1.5rem;
}

.mobile-menu ul li a {
    color: #fff;
    text-decoration: none;
    font-size: 1.8rem;
}
.mobile-menu ul li .download-button-a{
    width: 15rem;
    height: auto;
    display: block;
    margin-top: 2.5rem;
    margin-left: -0.5rem;
}
.mobile-menu ul li .download-button{
    width: 100%;
    height: auto;
    display: block;
}

/* When mobile menu is active */
.mobile-menu.active {
    right: 0;
}

.sticky-header ul{
    padding: 1.75rem 5rem;
    display: flex;
    align-items: center;
    justify-content: right;
    margin-right: 11rem;
    margin-top: 2rem;
}

.sticky-header ul li{
    color: white;
    text-decoration: none;
    font-size: 2rem;
    font-weight: bold;
    line-height: 3.75rem;
    letter-spacing: 0.25rem;
    padding: 0 1rem;
}

.sticky-header ul li p{
    font-weight: bold;
}
.sticky-header .logo-white {
    position: absolute;
    width: 12rem;
    height: auto;
    display: block;
    top: -1rem;
    left: 2rem;
}
.sticky-header .sticky-appstore-button{
    position: absolute;
    width: 12rem;
    height: auto;
    display: block;
    bottom: 1.5rem;
    right: 2rem;
}

/* Media query for larger screens */
@media screen and (min-width: 769px) {
    .mobile-menu {
        display: none;
    }
    .desktop-menu {
        display: block;
    }
    .hamburger-menu {
        display: none;
    }
}

@media screen and (max-width: 768px) {
    .desktop-menu {
        display: none;
    }
    .hamburger-menu {
        display: block;
        float: right;
        margin-right: 2rem;
        margin-top: 5.5rem;
        position: relative;
        z-index: 9999999;
    }

    .sticky-header ul{
        padding: 1.75rem 3.5rem;
        display: block;
        align-items: center;
        justify-content: right;
        margin-right: 11rem;
        margin-top: 7rem;
    }

    .sticky-header ul li{
        color: white;
        text-decoration: none;
        font-size: 2rem;
        font-weight: bold;
        line-height: 3.75rem;
        letter-spacing: 0.25rem;
        padding: 0 1rem;
    }

    .sticky-header ul li p{
        font-weight: bold;
    }
    .sticky-header .logo-white {
        position: absolute;
        width: 12rem;
        height: auto;
        display: block;
        top: 1rem;
        left: 2rem;
    }
    .sticky-header .sticky-appstore-button{
        position: absolute;
        width: 12rem;
        height: auto;
        display: block;
        top: 4rem;
        right: 6rem;
    }
}
